## uos-ai 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(uos-ai VERSION 0.1 LANGUAGES CXX)

add_compile_definitions(APP_VERSION="${APP_VERSION}")

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -fPIC")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all -fPIC")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

# generate qm files
if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3")
    execute_process(COMMAND bash "${CMAKE_SOURCE_DIR}/translate_generation.sh" WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

set(LIB_PLATFORM_DIR "${CMAKE_INSTALL_PREFIX}/lib/${CMAKE_LIBRARY_ARCHITECTURE}")
add_definitions(-DLIB_PLATFORM_DIR="${LIB_PLATFORM_DIR}")

set(EXTERNAL_LLM_DIR "${LIB_PLATFORM_DIR}/uos-ai-assistant/llm")

if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DEXTERNAL_LLM_DIR="${CMAKE_BINARY_DIR}/plugin-model")
else()
    add_definitions(-DEXTERNAL_LLM_DIR="${EXTERNAL_LLM_DIR}")
endif()

include_directories("${CMAKE_SOURCE_DIR}/include")

find_package(DtkCMake REQUIRED)

#Indentify the version
if (1 OR ${DEEPIN_OS_VERSION} MATCHES "23")
    add_definitions(-DCOMPILE_ON_V23)
    set(COMPILE_ON_V23 TRUE)
    message("COMPILE ON v23")
else()
    add_definitions(-DCOMPILE_ON_V20)
    set(COMPILE_ON_V20 TRUE)
    message("COMPILE ON v20")

    set(ENABLE_MODEL_PLUGIN TRUE)
    add_definitions(-DENABLE_MODEL_PLUGIN)
endif()

add_subdirectory(plugin-model)

#add_definitions(-DDEBUG_LOG)

# Find the library
find_package(DtkCore REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(Qt5WebSockets REQUIRED)
find_package(Qt5WebEngineWidgets REQUIRED)
find_package(Qt5Multimedia REQUIRED)
find_package(KF5GlobalAccel COMPONENTS KF5GlobalAccel REQUIRED)

find_package(PkgConfig REQUIRED)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(QGsettings REQUIRED gsettings-qt)
pkg_check_modules(AtSpi REQUIRED atspi-2)
pkg_check_modules(Gobject REQUIRED gobject-2.0)

#-------------------------EXE------------------------
SET(EXENAME uos-ai-assistant)

#遍历所有Cpp文件
file(GLOB_RECURSE EXE_FILES src/*.h src/*.cpp src/*.qrc)
foreach(filepath ${EXE_FILES})
    string(REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/" "" filename ${filepath})
    list(APPEND RELATIVE_EXE_FILES ${filename})
endforeach(filepath)

add_executable(${EXENAME}
    ${RELATIVE_EXE_FILES}
)

target_include_directories(${EXENAME} PUBLIC
    src
    src/dbs
    src/dbs/dbwrapper
    src/dbs/tables
    src/tables
    src/dbus
    src/gui/mgmt
    src/gui/chat
    src/gui/screen
    src/http
    src/llm
    src/llm/360
    src/llm/zhipu
    src/llm/openai
    src/llm/iflytek
    src/llm/baidu
    src/llm/localtext2image
    src/llm/common
    src/socket
    src/wrapper
    src/tas
    src/utils
    src/audio
    src/audio/server
    src/audio/trans
    src/oscontrol
    src/oscontrol/ability
    src/tools
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGsettings_INCLUDE_DIRS}
    ${AtSpi_INCLUDE_DIRS}
    ${Gobject_INCLUDE_DIRS}
)

target_link_libraries(${EXENAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${Qt5Core_LIBRARIES}
    ${Qt5Gui_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5Sql_LIBRARIES}
    ${Qt5WebSockets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5Multimedia_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${QGsettings_LIBRARIES}
    ${AtSpi_LIBRARIES}
    ${Gobject_LIBRARIES}
    Qt5::WebEngineWidgets
    KF5::GlobalAccel
    crypto
)

# Install settings
set(CMAKE_INSTALL_PREFIX /usr)

# Install bin
install(TARGETS ${EXENAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

# Install qm files
file(GLOB EXE_QM_FILES "${CMAKE_SOURCE_DIR}/translations/uos-ai-assistant*.qm")
install(FILES ${EXE_QM_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${EXENAME}/translations/)

# Install service
file(GLOB SERVICE_FILES "assets/*.service")
install(FILES ${SERVICE_FILES} DESTINATION share/dbus-1/services)

# Install credits
file(GLOB CREDITS_FILES "assets/${EXENAME}.json")
install(FILES ${CREDITS_FILES} DESTINATION share/deepin/credits)

# Install functions
set(FUNCTIONS_DESTINATION "/usr/lib/${EXENAME}/functions")
add_definitions(-DFUNCTIONPATH="${FUNCTIONS_DESTINATION}")
file(GLOB FUNCTIONS_FILES "assets/functions/*")
install(FILES ${FUNCTIONS_FILES} DESTINATION ${FUNCTIONS_DESTINATION})

# Install audio
set(AUDIO_DESTINATION "/usr/lib/${EXENAME}/audio")
add_definitions(-DAUDIOPATH="${AUDIO_DESTINATION}")
file(GLOB AUDIO_FILES "assets/audio/*")
install(FILES ${AUDIO_FILES} DESTINATION ${AUDIO_DESTINATION})

# install desktop
message(${PROJECT_SOURCE_DIR})
install(FILES ${PROJECT_SOURCE_DIR}/assets/app/uos-ai-assistant.desktop
    DESTINATION share/applications)

#-------------------------plugin-tray------------------------
SET(TRAYPLUGINNAME uos-ai-tray)

#遍历所有文件
file(GLOB_RECURSE PLUGIN_TRAY_FILES plugin-tray/*.h plugin-tray/*.cpp plugin-tray/*.qrc)

foreach(filepath ${PLUGIN_TRAY_FILES})
    string(REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/" "" filename ${filepath})
    list(APPEND RELATIVE_PLUGIN_TRAY_FILES ${filename})
endforeach(filepath)

add_library(${TRAYPLUGINNAME} MODULE
    ${RELATIVE_PLUGIN_TRAY_FILES}
)

target_include_directories(${TRAYPLUGINNAME} PUBLIC
    plugin-tray
    ${Qt5Widgets_INCLUDE_DIRS}
    ${DtkWidget_INCLUDE_DIRS}
    /usr/include/dde-dock   #${DdeDockInterface_INCLUDE_DIRS} 1030 not support
)

target_link_libraries(${TRAYPLUGINNAME} PRIVATE
    ${DtkWidget_LIBRARIES}
    ${Qt5Core_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
)

# Install bin
install(TARGETS ${TRAYPLUGINNAME} LIBRARY DESTINATION lib/dde-dock/plugins)

# Install qm files
file(GLOB PLUGIN_TRAY_QMFILES "${CMAKE_SOURCE_DIR}/translations/uos-ai-tray*.qm")
install(FILES ${PLUGIN_TRAY_QMFILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${TRAYPLUGINNAME}/translations/)

# Install icon
install(FILES ${CMAKE_SOURCE_DIR}/plugin-tray/assets/icons/deepin/builtin/uosai.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dde-dock/icons/dcc-setting/)
install(FILES ${CMAKE_SOURCE_DIR}/assets/images/UosAiAssistant.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)

#-------------------------plugin-settings------------------------
SET(SETTINGSPLUGINNAME uos-ai-settings)

#遍历所有文件
file(GLOB_RECURSE PLUGIN_SETTINGS_FILES plugin-settings/*.h plugin-settings/*.cpp plugin-settings/*.qrc)

# Install qm files
file(GLOB PLUGIN_SETTINGS_QMFILES "${CMAKE_SOURCE_DIR}/translations/uos-ai-settings*.qm")
install(FILES ${PLUGIN_SETTINGS_QMFILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${SETTINGSPLUGINNAME}/translations/)

=== plugin-model/CMakeLists.txt ===
add_subdirectory(fydn)

=== plugin-model/fydn/CMakeLists.txt ===
project(fydn)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Gui REQUIRED)

FILE(GLOB_RECURSE SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/assets/")
if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
else()
    add_definitions(-DASSETS_INSTALL_DIR="${ASSETS_INSTALL_DIR}")
endif()

add_library(${PROJECT_NAME}
    SHARED
    ${SRCS}
    )

target_link_libraries(${PROJECT_NAME}
    Qt5::Gui
    )

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)

if (ENABLE_MODEL_PLUGIN)
    message("install fydn plugin...")
    install(TARGETS ${PROJECT_NAME} DESTINATION ${EXTERNAL_LLM_DIR})

    file(GLOB ASSET_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/icons/*")
    install(FILES ${ASSET_FILES} DESTINATION "${ASSETS_INSTALL_DIR}/icons")

    file(GLOB FAQ_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/*.json")
    install(FILES ${FAQ_FILES} DESTINATION ${ASSETS_INSTALL_DIR})

endif()

=== debian/changelog ===
uos-ai (1.3.0-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 13 Jun 2024 20:42:54 +0800

uos-ai (1.2.6) unstable; urgency=medium

  * update uos ai baseline version to V1.2.6

 -- zhangyu <zhangyub@uniontech.com>  Fri, 26 Apr 2024 13:26:24 +0800
 

uos-ai (1.0.0) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 12 Jul 2023 17:38:35 +0800

=== debian/control ===
Source: uos-ai
Section: non-free/copilot
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 9), cmake, pkg-config, qtbase5-dev, libqt5websockets5-dev, qttools5-dev-tools, libdtkwidget-dev, libssl-dev,dde-dock-dev,libdframeworkdbus-dev, qtwebengine5-dev, qtmultimedia5-dev,libkf5globalaccel-dev,libgsettings-qt-dev,libatspi2.0-dev,libdtkcore-dev,libdtkcore5-bin
Standards-Version: 4.5.0

Package: uos-ai
Architecture: any
Depends:
 ${shlibs:Depends},${misc:Depends}
Description: As a useful and efficient assistant, an AI-powered assistant simplifies our office efficiency and provides valuable support in a wide range of domains.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

export QT_SELECT := 5

override_dh_auto_configure:
	dh_auto_configure -- -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)" LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

## uos-ai 2.7.501

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(uos-ai VERSION 0.1 LANGUAGES CXX)
add_compile_definitions(APP_VERSION="${APP_VERSION}")

# 全局配置
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -fPIC")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all -fPIC")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

# generate qm files
if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3")
    execute_process(COMMAND bash "${CMAKE_SOURCE_DIR}/translate_generation.sh" WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

# 库目录
set(LIB_PLATFORM_DIR "${CMAKE_INSTALL_PREFIX}/lib/${CMAKE_LIBRARY_ARCHITECTURE}")
add_definitions(-DLIB_PLATFORM_DIR="${LIB_PLATFORM_DIR}")

# 插件
set(EXTERNAL_LLM_DIR "${LIB_PLATFORM_DIR}/uos-ai-assistant/llm")

# 获取系统版本
if (NOT DEFINED BUILD_OS_VERSION OR BUILD_OS_VERSION STREQUAL "")
    # 读取文件并提取Version值
    file(STRINGS "/etc/deepin-version" FILE_CONTENTS REGEX "^Version=")

    # 遍历文件内容，查找Version行
    foreach(LINE ${FILE_CONTENTS})
        # 检查是否是Version行
        if(LINE MATCHES "Version=([0-9]+)")
            # 提取版本号
            set(BUILD_OS_VERSION "${CMAKE_MATCH_1}")
        endif()
    endforeach()

    message("Get BUILD_OS_VERSION from deepin-version ${BUILD_OS_VERSION}")
else()
    message("catch BUILD_OS_VERSION ${BUILD_OS_VERSION}")
endif()

# Qt
if (${BUILD_OS_VERSION} MATCHES "25")
    find_package(QT NAMES Qt6)
else()
    find_package(QT NAMES Qt5)
endif()

# 配置选项
option(ENABLE_AGENT_PLUGIN "Enable Agent Plugin" ON)
option(ENABLE_MODEL_PLUGINS "Enable Model Plugins" OFF)
option(ENABLE_ASSISTANT "Enable AI Assistant" ON)
option(ENABLE_AI_BAR "Enable AI Bar" OFF)
option(ENABLE_TRAY_PLUGIN "Build Tray Plugin" ON)

# 模型插件
option(ENABLE_MODEL_FYDN "Enable FYDN Plugin" OFF)
option(ENABLE_MODEL_PPT "Enable PPT Plugin" OFF)
option(ENABLE_MODEL_POSTER "Enable POSTER Plugin" OFF)
option(ENABLE_MODEL_RPA "Enable RPA Plugin" OFF)
option(ENABLE_MODEL_ZTBBD "Enable ZTBBD Plugin" OFF)
option(ENABLE_MODEL_XXZSK "Enable XXZSK Plugin" OFF)
option(ENABLE_MODEL_YZSBS "Enable YZSBS Plugin" OFF)

# 系统判断
if (${BUILD_OS_VERSION} MATCHES "25")
    message("COMPILE ON v25")

    set(COMPILE_ON_V25 TRUE)
    add_definitions(-DCOMPILE_ON_V25)

    add_definitions(-DCOMPILE_ON_V23)
    set(COMPILE_ON_V23 TRUE)

    #先默认打开ppt助手
#    set(ENABLE_MODEL_PPT ON)
#    set(ENABLE_MODEL_POSTER ON)
    set(ENABLE_AI_BAR ON)

    if (NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "x86_64|aarch64")
        set(ENABLE_ASSISTANT OFF)
#    else()
#        set(ENABLE_MODEL_RPA ON)
    endif()
    message("SYSTEM PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} ${ENABLE_ASSISTANT}")
elseif (${BUILD_OS_VERSION} MATCHES "23")
    add_definitions(-DCOMPILE_ON_V23)
    set(COMPILE_ON_V23 TRUE)
    message("COMPILE ON v23")

#    set(ENABLE_MODEL_PPT ON)
#    set(ENABLE_MODEL_POSTER ON)

    if (NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "x86_64|aarch64")
        set(ENABLE_ASSISTANT OFF)
#    else()
#        set(ENABLE_MODEL_RPA ON)
    endif()
    message("SYSTEM PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} ${ENABLE_ASSISTANT}")
else()
    add_definitions(-DCOMPILE_ON_V20)
    set(COMPILE_ON_V20 TRUE)
    message("COMPILE ON v20")

    if (NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "x86_64|aarch64")
        set(ENABLE_ASSISTANT OFF)
#    else()
#        set(ENABLE_MODEL_RPA ON)
    endif()
    message("SYSTEM PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} ${ENABLE_ASSISTANT}")
endif()

# Debug Or Release
if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DEXTERNAL_LLM_DIR="${CMAKE_BINARY_DIR}/plugin-model")
    set(ENABLE_MODEL_PLUGINS ON)
else()
    add_definitions(-DEXTERNAL_LLM_DIR="${EXTERNAL_LLM_DIR}")
endif()

# Qt Version
if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    message("COMPILE ON QT6")
    add_definitions(-DCOMPILE_ON_QT6)
    set(DTK_VERSION_MAJOR 6)
else()
    message("COMPILE ON QT5")
    set(DTK_VERSION_MAJOR "")
endif()

if (ENABLE_MODEL_FYDN OR ENABLE_MODEL_PPT OR ENABLE_MODEL_POSTER OR ENABLE_MODEL_RPA OR ENABLE_MODEL_ZTBBD OR ENABLE_MODEL_XXZSK OR ENABLE_MODEL_YZSBS)
    set(ENABLE_MODEL_PLUGINS ON)
endif()

if (ENABLE_AGENT_PLUGIN)
    add_definitions(-DENABLE_AGENT_PLUGIN)
    install(FILES ${PROJECT_SOURCE_DIR}/assets/agent/.readme DESTINATION share/uos-ai-assistant/agent)
endif()

if (ENABLE_MODEL_PLUGINS)
    add_definitions(-DENABLE_MODEL_PLUGIN)
endif()

if (ENABLE_ASSISTANT)
    add_definitions(-DENABLE_ASSISTANT)
endif()

if (ENABLE_AI_BAR)
    add_subdirectory(plugin-aibar)
    set(ENABLE_TRAY_PLUGIN OFF)
    add_definitions(-DENABLE_AI_BAR)
endif()

if (ENABLE_TRAY_PLUGIN)
    add_subdirectory(plugin-tray)
endif()

add_subdirectory(3rdparty)
add_subdirectory(src)
add_subdirectory(plugin-model)
add_subdirectory(plugin-fcitx)
add_subdirectory(plugin-settings)

=== xxzsk/CMakeLists.txt ===
project(xxzsk)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Network)

FILE(GLOB_RECURSE SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/assets/")
if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
else()
    add_definitions(-DASSETS_INSTALL_DIR="${ASSETS_INSTALL_DIR}")
endif()

add_library(${PROJECT_NAME}
    SHARED
    ${SRCS}
    )

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Network
    )

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)

include_directories(${CMAKE_SOURCE_DIR}/src)

if (ENABLE_MODEL_XXZSK)
    message("install ztbbb plugin...")
    install(TARGETS ${PROJECT_NAME} DESTINATION ${EXTERNAL_LLM_DIR})

    file(GLOB ASSET_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/icons/*")
    install(FILES ${ASSET_FILES} DESTINATION "${ASSETS_INSTALL_DIR}/icons")

    file(GLOB FAQ_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/*.json")
    install(FILES ${FAQ_FILES} DESTINATION ${ASSETS_INSTALL_DIR})

endif()

## uos-ai 2.7.515

=== CMakeLists.txt ===
--- 
+++ 
@@ -166,3 +166,7 @@
 add_subdirectory(plugin-model)
 add_subdirectory(plugin-fcitx)
 add_subdirectory(plugin-settings)
+
+# 安装帮助文档
+install(DIRECTORY ${PROJECT_SOURCE_DIR}/docs/uos-ai-assistant
+    DESTINATION share/deepin-manual/manual-assets/application)

=== plugin-tray/CMakeLists.txt ===
project(uos-ai-tray)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Widgets Svg DBus)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget )

#遍历所有文件
file(GLOB_RECURSE PLUGIN_TRAY_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.h ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/*.qrc)

add_library(${PROJECT_NAME} MODULE
  ${PLUGIN_TRAY_FILES}
)

target_include_directories(${PROJECT_NAME} PUBLIC
  /usr/include/dde-dock   #${DdeDockInterface_INCLUDE_DIRS} 1030 not support
)

target_link_libraries(${PROJECT_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Widgets
  Qt${QT_VERSION_MAJOR}::Svg
  Qt${QT_VERSION_MAJOR}::DBus
  Dtk${DTK_VERSION_MAJOR}::Widget
)

# Install bin
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib/dde-dock/plugins)

# Install qm files
file(GLOB PLUGIN_TRAY_QMFILES "${CMAKE_SOURCE_DIR}/translations/uos-ai-tray*.qm")
install(FILES ${PLUGIN_TRAY_QMFILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/translations/)

# Install icon
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/assets/icons/deepin/builtin/uosai.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dde-dock/icons/dcc-setting/)

=== plugin-model/poster/CMakeLists.txt ===
project(poster)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui WebSockets WebEngineWidgets DBus)

FILE(GLOB_RECURSE SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/${PROJECT_NAME}/assets/")
if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
else()
    add_definitions(-DASSETS_INSTALL_DIR="${ASSETS_INSTALL_DIR}")
endif()

add_library(${PROJECT_NAME}
    SHARED
    ${SRCS}
    )

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::WebSockets
    Qt${QT_VERSION_MAJOR}::WebEngineWidgets
    )

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)

if (ENABLE_MODEL_POSTER)
    message("install poster plugin...")
    install(TARGETS ${PROJECT_NAME} DESTINATION ${EXTERNAL_LLM_DIR})

    file(GLOB ASSET_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/icons/*")
    install(FILES ${ASSET_FILES} DESTINATION "${ASSETS_INSTALL_DIR}/icons")

    file(GLOB FAQ_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/*.json")
    install(FILES ${FAQ_FILES} DESTINATION ${ASSETS_INSTALL_DIR})

endif()

=== plugin-model/yzsbs/CMakeLists.txt ===
project(yzsbs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Network)

FILE(GLOB_RECURSE SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/assets/")
if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
else()
    add_definitions(-DASSETS_INSTALL_DIR="${ASSETS_INSTALL_DIR}")
endif()

add_library(${PROJECT_NAME}
    SHARED
    ${SRCS}
    )

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Network
    )

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)

include_directories(${CMAKE_SOURCE_DIR}/src)

if (ENABLE_MODEL_YZSBS)
    message("install ztbbb plugin...")
    install(TARGETS ${PROJECT_NAME} DESTINATION ${EXTERNAL_LLM_DIR})

    file(GLOB ASSET_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/icons/*")
    install(FILES ${ASSET_FILES} DESTINATION "${ASSETS_INSTALL_DIR}/icons")

    file(GLOB FAQ_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/*.json")
    install(FILES ${FAQ_FILES} DESTINATION ${ASSETS_INSTALL_DIR})

endif()

=== plugin-model/ztbbd/CMakeLists.txt ===
project(ztbbd)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Network)

FILE(GLOB_RECURSE SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/assets/")
if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
else()
    add_definitions(-DASSETS_INSTALL_DIR="${ASSETS_INSTALL_DIR}")
endif()

add_library(${PROJECT_NAME}
    SHARED
    ${SRCS}
    )

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Network
    )

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)

include_directories(${CMAKE_SOURCE_DIR}/src)

if (ENABLE_MODEL_ZTBBD)
    message("install ztbbb plugin...")
    install(TARGETS ${PROJECT_NAME} DESTINATION ${EXTERNAL_LLM_DIR})

    file(GLOB ASSET_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/icons/*")
    install(FILES ${ASSET_FILES} DESTINATION "${ASSETS_INSTALL_DIR}/icons")

    file(GLOB FAQ_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/*.json")
    install(FILES ${FAQ_FILES} DESTINATION ${ASSETS_INSTALL_DIR})

endif()

=== debian/changelog ===
uos-ai (2.7.515-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Tue, 24 Jun 2025 10:41:39 +0800

uos-ai (1.3.5) unstable; urgency=medium

  * update uos ai baseline version to V1.3.5

 -- zhangyu <zhangyub@uniontech.com>  Wed, 7 Aug 2024 21:16:34 +0800

=== debian/control ===
Source: uos-ai
Section: non-free/copilot
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 9),
 cmake,
 pkg-config,
 libatspi2.0-dev,
 libdocparser-dev,
 libjwt-dev,
 libssl-dev,
 fcitx-libs-dev | hello,
 qtbase5-dev,
 qttools5-dev-tools,
 qtwebengine5-dev,
 qtmultimedia5-dev,
 libqt5websockets5-dev,
 libdtkwidget-dev,
 dde-dock-dev,
 libqt5waylandclient5-dev | hello,
 libkf5wayland-dev | hello,   
 libfcitx5core-dev | hello,
 libfcitx5utils-dev | hello,
 fcitx5-modules-dev | hello,
 qt6-base-dev | hello,
 qt6-webengine-dev | hello,
 qt6-websockets-dev | hello,
 qt6-svg-dev | hello,
 qt6-multimedia-dev | hello,
 qt6-declarative-dev | hello,
 qt6-tools-dev | hello,
 qt6-wayland-dev | hello,
 qt6-base-private-dev | hello,
 qt6-wayland-private-dev | hello,
 libdtk6widget-dev (>= 6.0.24) | hello,
 libdtk6declarative-dev (>= 6.0.19) | hello,
 libdde-shell-dev (>= 0.0.10) | hello,
 treeland-protocols (>= 0.4.4) | hello,
 wlr-protocols | hello,
 wayland-protocols | hello

Standards-Version: 4.5.0
Package: uos-ai
Architecture: any
Depends:
 ${shlibs:Depends},${misc:Depends},libqt6webenginecore6-bin
Description: As a useful and efficient assistant, an AI-powered assistant simplifies our office efficiency and provides valuable support in a wide range of domains.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export QT_SELECT := 5

override_dh_auto_configure:
	dh_auto_configure -- -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)" LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DBUILD_OS_VERSION=$(BUILD_OS_VERSION) -DENABLE_MODEL_FYDN=${ENABLE_MODEL_FYDN}

%:
	dh $@ --parallel

## uos-ai 2.8.501

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,7 @@
 option(ENABLE_MODEL_ZTBBD "Enable ZTBBD Plugin" OFF)
 option(ENABLE_MODEL_XXZSK "Enable XXZSK Plugin" OFF)
 option(ENABLE_MODEL_YZSBS "Enable YZSBS Plugin" OFF)
+option(ENABLE_MODEL_TZDL "Enable TZDL Plugin" OFF)
 
 # 系统判断
 if (${BUILD_OS_VERSION} MATCHES "25")
@@ -134,7 +135,7 @@
     set(DTK_VERSION_MAJOR "")
 endif()
 
-if (ENABLE_MODEL_FYDN OR ENABLE_MODEL_PPT OR ENABLE_MODEL_POSTER OR ENABLE_MODEL_RPA OR ENABLE_MODEL_ZTBBD OR ENABLE_MODEL_XXZSK OR ENABLE_MODEL_YZSBS)
+if (ENABLE_MODEL_FYDN OR ENABLE_MODEL_PPT OR ENABLE_MODEL_POSTER OR ENABLE_MODEL_RPA OR ENABLE_MODEL_ZTBBD OR ENABLE_MODEL_XXZSK OR ENABLE_MODEL_YZSBS OR ENABLE_MODEL_TZDL)
     set(ENABLE_MODEL_PLUGINS ON)
 endif()

=== plugin-aibar/CMakeLists.txt ===

project(aibar)

FILE(GLOB_RECURSE SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.qrc"
)

find_package(Qt6 COMPONENTS Core Gui Quick DBus REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS LinguistTools)
find_package(Dtk6 COMPONENTS Core Gui REQUIRED)
find_package(DDEShell REQUIRED)

add_library(aibar SHARED ${SRCS})

target_link_libraries(aibar PRIVATE
    Dde::Shell
)

ds_install_package(PACKAGE org.deepin.ds.dock.aibar TARGET aibar)
ds_handle_package_translation(PACKAGE org.deepin.ds.dock.aibar)

include(${CMAKE_SOURCE_DIR}/install_dconfig.cmake)
INSTALL_DCONFIG("uos-ai-assistant.aibar.json")

=== plugin-model/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/include)

add_subdirectory(fydn)
add_subdirectory(ppt)
add_subdirectory(rpa)
add_subdirectory(poster)
add_subdirectory(ztbbd)
add_subdirectory(xxzsk)
add_subdirectory(yzsbs)
add_subdirectory(tzdl)

=== src/CMakeLists.txt ===
project(uos-ai-assistant)

#遍历所有文件
file(GLOB_RECURSE EXE_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.h ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp ${CMAKE_CURRENT_SOURCE_DIR}/*.qrc)

# 动态查找 Qt 包
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    DBus
    Concurrent
    Sql
    WebSockets
    WebEngineWidgets
    Svg
    Multimedia
)

# Find the library
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core Widget )
find_package(X11 REQUIRED)
find_package(PkgConfig REQUIRED)

add_definitions(-DENABLE_FREEACCOUNT)

if (COMPILE_ON_V25)
    # Standard installation paths
    include(GNUInstallDirs)
    # Macros
    include(FeatureSummary)

    qt_standard_project_setup(REQUIRES 6.8)

    find_package(Qt6 REQUIRED COMPONENTS WaylandClient)
    find_package(TreelandProtocols REQUIRED)
    pkg_check_modules(WLR_PROTOCOLS REQUIRED IMPORTED_TARGET wlr-protocols)
    pkg_get_variable(WLR_PROTOCOLS_DATADIR wlr-protocols pkgdatadir)

elseif(COMPILE_ON_V20)
    find_package(Qt5 REQUIRED COMPONENTS WaylandClient)
    find_package(KF5Wayland REQUIRED)
endif()

pkg_check_modules(AtSpi REQUIRED atspi-2)
pkg_check_modules(Gobject REQUIRED gobject-2.0)
pkg_check_modules(Docparser REQUIRED IMPORTED_TARGET docparser)
pkg_check_modules(XTST REQUIRED xtst)
pkg_check_modules(JWT REQUIRED libjwt)
pkg_check_modules(GIO_LIB REQUIRED
        gio-unix-2.0
        glib-2.0
)

if (COMPILE_ON_V25)
    pkg_check_modules(WL_PROTOCOLS REQUIRED IMPORTED_TARGET wayland-protocols)
    pkg_get_variable(WL_PROTOCOLS_DATADIR wayland-protocols pkgdatadir)
    add_executable(${PROJECT_NAME}
        ${EXE_FILES}
        ../treeland/ddeshellwayland.h
        ../treeland/ddeshellwayland.cpp
        ../treeland/datacontrolmanagerv1.h
        ../treeland/datacontrolmanagerv1.cpp
        ../treeland/treelandclipboard.h
        ../treeland/treelandclipboard.cpp
        ../treeland/treelandddeactivev1.h
        ../treeland/treelandddeactivev1.cpp
        ../treeland/treelandeventmonitor.h
        ../treeland/treelandeventmonitor.cpp
        ../layershell/dlayershellwindow.h
        ../layershell/dlayershellwindow.cpp
        ../layershell/qwaylandlayershellsurface_p.h
        ../layershell/qwaylandlayershellsurface.cpp
        ../layershell/qwaylandlayershellintegration_p.h
        ../layershell/qwaylandlayershellintegration.cpp
    )

    qt_generate_wayland_protocol_client_sources(${PROJECT_NAME}
        FILES
        ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-dde-shell-v1.xml
        ${WLR_PROTOCOLS_DATADIR}/unstable/wlr-data-control-unstable-v1.xml
        ${WL_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml
        ${CMAKE_SOURCE_DIR}/layershell/protocol/wlr-layer-shell-unstable-v1.xml
    )
elseif(COMPILE_ON_V20)
    add_executable(${PROJECT_NAME}
        ${EXE_FILES}
        ../wayland/waylandclipboard.h
        ../wayland/waylandclipboard.cpp
        ../wayland/waylandeventmonitor.h
        ../wayland/waylandeventmonitor.cpp
    )
else()
    add_executable(${PROJECT_NAME}
        ${EXE_FILES}
    )
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/dbs
    ${CMAKE_CURRENT_SOURCE_DIR}/dbs/dbwrapper
    ${CMAKE_CURRENT_SOURCE_DIR}/dbs/tables
    ${CMAKE_CURRENT_SOURCE_DIR}/tables
    ${CMAKE_CURRENT_SOURCE_DIR}/dbus
    ${CMAKE_CURRENT_SOURCE_DIR}/gui/mgmt
    ${CMAKE_CURRENT_SOURCE_DIR}/gui/chat
    ${CMAKE_CURRENT_SOURCE_DIR}/gui/screen
    ${CMAKE_CURRENT_SOURCE_DIR}/http
    ${CMAKE_CURRENT_SOURCE_DIR}/llm
    ${CMAKE_CURRENT_SOURCE_DIR}/llm/360
    ${CMAKE_CURRENT_SOURCE_DIR}/llm/zhipu
    ${CMAKE_CURRENT_SOURCE_DIR}/llm/openai
    ${CMAKE_CURRENT_SOURCE_DIR}/llm/iflytek
    ${CMAKE_CURRENT_SOURCE_DIR}/llm/baidu
    ${CMAKE_CURRENT_SOURCE_DIR}/llm/localtext2image
    ${CMAKE_CURRENT_SOURCE_DIR}/llm/common
    ${CMAKE_CURRENT_SOURCE_DIR}/socket
    ${CMAKE_CURRENT_SOURCE_DIR}/wrapper
    ${CMAKE_CURRENT_SOURCE_DIR}/tas
    ${CMAKE_CURRENT_SOURCE_DIR}/utils
    ${CMAKE_CURRENT_SOURCE_DIR}/audio
    ${CMAKE_CURRENT_SOURCE_DIR}/audio/server
    ${CMAKE_CURRENT_SOURCE_DIR}/audio/trans
    ${CMAKE_CURRENT_SOURCE_DIR}/oscontrol
    ${CMAKE_CURRENT_SOURCE_DIR}/oscontrol/ability
    ${CMAKE_CURRENT_SOURCE_DIR}/tools
    ${CMAKE_CURRENT_SOURCE_DIR}/wordwizard
    ${CMAKE_CURRENT_SOURCE_DIR}/audiowizard
    ${AtSpi_INCLUDE_DIRS}
    ${Gobject_INCLUDE_DIRS}
    ${GIO_LIB_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/3rdparty/qmarkdowntextedit
)

if (COMPILE_ON_V25)
    target_include_directories(${PROJECT_NAME} PUBLIC
        ${CMAKE_SOURCE_DIR}/treeland
        ${CMAKE_SOURCE_DIR}/layershell
        ${CMAKE_SOURCE_DIR}/layershell/protocol
        )
elseif(COMPILE_ON_V20)
    target_include_directories(${PROJECT_NAME} PUBLIC
        ${CMAKE_SOURCE_DIR}/wayland
        )
endif()

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::Sql
    Qt${QT_VERSION_MAJOR}::WebSockets
    Qt${QT_VERSION_MAJOR}::Svg
    Qt${QT_VERSION_MAJOR}::Multimedia
    Qt${QT_VERSION_MAJOR}::WebEngineWidgets

    Dtk${DTK_VERSION_MAJOR}::Core
    Dtk${DTK_VERSION_MAJOR}::Widget

    ${AtSpi_LIBRARIES}
    ${Gobject_LIBRARIES}
    ${X11_LIBRARIES}
    ${XTST_LIBRARIES}
    crypto
    PkgConfig::Docparser
    ${GIO_LIB_LIBRARIES}
    qmarkdowntextedit
    ${JWT_LIBRARIES}
)

if (COMPILE_ON_V25)
    target_link_libraries(${PROJECT_NAME}
        Qt6::WaylandClient
        Qt6::WaylandClientPrivate
    )
elseif(COMPILE_ON_V20)
    target_link_libraries(${PROJECT_NAME}
        Qt5::WaylandClient
        KF5::WaylandClient
        )
endif()

# Install bin
install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

# Install qm files
file(GLOB EXE_QM_FILES "${CMAKE_SOURCE_DIR}/translations/uos-ai-assistant*.qm")
install(FILES ${EXE_QM_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/translations/)

# Install service
file(GLOB SERVICE_FILES "${CMAKE_SOURCE_DIR}/assets/*.service")
install(FILES ${SERVICE_FILES} DESTINATION share/dbus-1/services)

# Install credits
file(GLOB CREDITS_FILES "${CMAKE_SOURCE_DIR}/assets/${PROJECT_NAME}.json")
install(FILES ${CREDITS_FILES} DESTINATION share/deepin/credits)

# Install functions
set(FUNCTIONS_DESTINATION "/usr/lib/${PROJECT_NAME}/functions")
add_definitions(-DFUNCTIONPATH="${FUNCTIONS_DESTINATION}")
file(GLOB FUNCTIONS_FILES "${CMAKE_SOURCE_DIR}/assets/functions/*")
install(FILES ${FUNCTIONS_FILES} DESTINATION ${FUNCTIONS_DESTINATION})

# Install audio
set(AUDIO_DESTINATION "/usr/lib/${PROJECT_NAME}/audio")
add_definitions(-DAUDIOPATH="${AUDIO_DESTINATION}")
file(GLOB AUDIO_FILES "${CMAKE_SOURCE_DIR}/assets/audio/*")
install(FILES ${AUDIO_FILES} DESTINATION ${AUDIO_DESTINATION})

# install desktop
install(FILES ${CMAKE_SOURCE_DIR}/assets/app/uos-ai-assistant.desktop
    DESTINATION share/applications)

# install tts.sh shortcut
file(GLOB TTS_SH "${CMAKE_SOURCE_DIR}/assets/shell/*.sh")
install(FILES ${TTS_SH}
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/shell/
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
                    GROUP_READ GROUP_EXECUTE
                    WORLD_READ WORLD_EXECUTE)

install(FILES ${CMAKE_SOURCE_DIR}/assets/images/UosAiAssistantLogo.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)

include(${CMAKE_SOURCE_DIR}/install_dconfig.cmake)
INSTALL_DCONFIG("uos-ai-assistant.audiowizard.json")
INSTALL_DCONFIG("uos-ai-assistant.tts.json")
INSTALL_DCONFIG("uos-ai-assistant.wordwizard.json")
INSTALL_DCONFIG("uos-ai-assistant.aiquick.json")
INSTALL_DCONFIG("uos-ai-assistant.llm.json")

=== plugin-model/fydn/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_AUTORCC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-find_package(Qt5Gui REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui)
 
 FILE(GLOB_RECURSE SRCS
     "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
@@ -12,7 +12,7 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
 )
 
-set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/assets/")
+set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/${PROJECT_NAME}/assets/")
 if (CMAKE_BUILD_TYPE MATCHES Debug)
     add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
 else()
@@ -25,12 +25,12 @@
     )
 
 target_link_libraries(${PROJECT_NAME}
-    Qt5::Gui
+    Qt${QT_VERSION_MAJOR}::Gui
     )
 
 set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)
 
-if (ENABLE_MODEL_PLUGIN)
+if (ENABLE_MODEL_FYDN)
     message("install fydn plugin...")
     install(TARGETS ${PROJECT_NAME} DESTINATION ${EXTERNAL_LLM_DIR})

=== plugin-model/ppt/CMakeLists.txt ===
project(ppt)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui WebSockets WebEngineWidgets DBus)

FILE(GLOB_RECURSE SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/${PROJECT_NAME}/assets/")
if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
else()
    add_definitions(-DASSETS_INSTALL_DIR="${ASSETS_INSTALL_DIR}")
endif()

add_library(${PROJECT_NAME}
    SHARED
    ${SRCS}
    )

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::WebSockets
    Qt${QT_VERSION_MAJOR}::WebEngineWidgets
    )

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)

if (ENABLE_MODEL_PPT)
    message("install ppt plugin...")
    install(TARGETS ${PROJECT_NAME} DESTINATION ${EXTERNAL_LLM_DIR})

    file(GLOB ASSET_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/icons/*")
    install(FILES ${ASSET_FILES} DESTINATION "${ASSETS_INSTALL_DIR}/icons")

    file(GLOB FAQ_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/*.json")
    install(FILES ${FAQ_FILES} DESTINATION ${ASSETS_INSTALL_DIR})

endif()

=== plugin-model/tzdl/CMakeLists.txt ===
project(tzdl)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Network)

FILE(GLOB_RECURSE SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/${PROJECT_NAME}/assets/")
if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
else()
    add_definitions(-DASSETS_INSTALL_DIR="${ASSETS_INSTALL_DIR}")
endif()

add_library(${PROJECT_NAME}
    SHARED
    ${SRCS}
    )

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Network
    )

set_target_properties(${PROJECT_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)

include_directories(${CMAKE_SOURCE_DIR}/src)

if (ENABLE_MODEL_TZDL)
    message("install tzdl plugin...")
    install(TARGETS ${PROJECT_NAME} DESTINATION ${EXTERNAL_LLM_DIR})

    file(GLOB ASSET_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/icons/*")
    install(FILES ${ASSET_FILES} DESTINATION "${ASSETS_INSTALL_DIR}/icons")

    file(GLOB FAQ_FILES "${CMAKE_CURRENT_SOURCE_DIR}/assets/*.json")
    install(FILES ${FAQ_FILES} DESTINATION ${ASSETS_INSTALL_DIR})

endif()

=== plugin-model/yzsbs/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
 )
 
-set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/assets/")
+set(ASSETS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/uos-ai-assistant/llm/${PROJECT_NAME}/assets/")
 if (CMAKE_BUILD_TYPE MATCHES Debug)
     add_definitions(-DASSETS_INSTALL_DIR="${CMAKE_CURRENT_SOURCE_DIR}/assets/")
 else()

=== debian/changelog ===
uos-ai (2.8.501) unstable; urgency=medium

  * update uos ai baseline version to V1.3.5

 -- zhangyu <zhangyub@uniontech.com>  Wed, 7 Aug 2024 21:16:34 +0800

=== debian/control ===
--- 
+++ 
@@ -46,3 +46,13 @@
 Depends:
  ${shlibs:Depends},${misc:Depends},libqt6webenginecore6-bin
 Description: As a useful and efficient assistant, an AI-powered assistant simplifies our office efficiency and provides valuable support in a wide range of domains.
+
+Package: uos-ai-model-plugin
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ uos-ai
+Description: Model plugins for UOS AI assistant
+ This package contains various model plugins for UOS AI assistant,
+ including different AI model implementations and configurations.
